package com.chenyang.nse.bussiness.config;

import org.apache.catalina.connector.Connector;
import org.springframework.boot.web.embedded.tomcat.TomcatConnectorCustomizer;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class TLS {
   @Bean
   public TomcatConnectorCustomizer connectorCustomizer() {
      return new TomcatConnectorCustomizer() {
         public void customize(Connector connector) {
            connector.setAttribute("sslEnabledProtocols", "TLSv1.2");
         }
      };
   }
}
